%define python3_pkgversion 3.11
%{?scl:%scl_package python-%{pypi_name}}
%{!?scl:%global pkg_name %{name}}

# Created by pyp2rpm-3.3.3
%global pypi_name typing-extensions
%global srcname typing_extensions

Name:           %{?scl_prefix}python-%{pypi_name}
Version:        4.12.2
Release:        1.0.1%{?dist}
Summary:        Backported and Experimental Type Hints for Python 3

License:        PSF
URL:            https://github.com/python/typing/blob/main/README.md
Source0:        %{pypi_source}
Patch0:         0001-Add-setup.py.patch
BuildArch:      noarch

BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-setuptools
BuildRequires:  %{?scl_prefix}python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}


%description -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%autosetup -n %{srcname}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%py3_install
%{?scl:EOF}


%files -n %{?scl_prefix}python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/test_%{srcname}.py
%{python3_sitelib}/_typed_dict_test_helper.py
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jan 17 2025 Rafael Barron <rafael.barron@oracle.com> - 4.12.2-1.0.1
- Update to 4.12.2

* Tue Jul 23 2024 Craig Guiller <craig.guiller@oracle.com> - 4.11.0-1.0.1
- Update to 4.11.0
- Rebuild for python 3.11

* Tue Jan 31 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 3.10.0.2-2.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 3.10.0.2-2
- Build against python 3.9

* Tue Nov 09 2021 Odilon Sousa <osousa@redhat.com> - 3.10.0.2-1
- Release python-typing-extensions 3.10.0.2

* Fri Sep 10 2021 Evgeni Golov - 3.7.4.3-3
- Don't require typing, our Python is new enough

* Wed Sep 08 2021 Evgeni Golov - 3.7.4.3-2
- Build against Python 3.8

* Tue Sep 01 2020 Evgeni Golov 3.7.4.3-1
- Update to 3.7.4.3

* Tue Apr 14 2020 Evgeni Golov 3.7.4.2-1
- Update to 3.7.4.2

* Fri Feb 28 2020 Zach Huntington-Meath <zhunting@redhat.com> - 3.7.4.1-2
- Bump release to build for el8

* Mon Nov 18 2019 Evgeni Golov - 3.7.4.1-1
- Initial package.
